Update a user
curl --request POST \
--url https://dashboard.hologram.io/api/1/users/{userId}/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"first": "<string>",
"last": "<string>",
"email": "jsmith@example.com"
}
'import requests
url = "https://dashboard.hologram.io/api/1/users/{userId}/"
payload = {
"first": "<string>",
"last": "<string>",
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({first: '<string>', last: '<string>', email: 'jsmith@example.com'})
};
fetch('https://dashboard.hologram.io/api/1/users/{userId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://dashboard.hologram.io/api/1/users/{userId}/';
const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({first: '<string>', last: '<string>', email: 'jsmith@example.com'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"id": 123,
"email": "jsmith@example.com",
"first": "<string>",
"last": "<string>",
"role": "<string>",
"partnerid": 123,
"registered": "2023-11-07T05:31:56Z",
"defaultaddressid": 123,
"personal_org": 123,
"impersonated_by": {}
}
}Users
Update a user
POST
/
users
/
{userId}
/
Update a user
curl --request POST \
--url https://dashboard.hologram.io/api/1/users/{userId}/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"first": "<string>",
"last": "<string>",
"email": "jsmith@example.com"
}
'import requests
url = "https://dashboard.hologram.io/api/1/users/{userId}/"
payload = {
"first": "<string>",
"last": "<string>",
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({first: '<string>', last: '<string>', email: 'jsmith@example.com'})
};
fetch('https://dashboard.hologram.io/api/1/users/{userId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://dashboard.hologram.io/api/1/users/{userId}/';
const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({first: '<string>', last: '<string>', email: 'jsmith@example.com'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"id": 123,
"email": "jsmith@example.com",
"first": "<string>",
"last": "<string>",
"role": "<string>",
"partnerid": 123,
"registered": "2023-11-07T05:31:56Z",
"defaultaddressid": 123,
"personal_org": 123,
"impersonated_by": {}
}
}Authorizations
HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.
Path Parameters
User ID
Body
application/json
Was this page helpful?
⌘I